<div class="relative overflow-x-auto bg-white mb-7">
  <table class="w-full text-left">
    <thead class="text-sm text-gray-700 uppercase bg-white">
      <tr>
        <th scope="col" class="px-4 py-3">
          ID
        </th>
        <th scope="col" class="px-4 py-3">
          Bouwjaar
        </th>
        <th scope="col" class="px-4 py-3">
          Oppervlakte
        </th>
        {{if .withDeleteButtons}}
        <th scope="col" class="px-4 py-3"></th>
        {{end}}
      </tr>
    </thead>
    <tbody>
      {{range .buildings}}
      <tr class="border-t border-slate-200">
        <td class="p-4">
          <a href="/buildings/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">{{.ID}}</a>
        </td>
        <td class="p-4">
          <a href="/buildings/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
            {{formatYear .ConstructedAt}}
          </a>
        </td>
        <td class="p-4">
          <a href="/buildings/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
            {{if .Surface}}
            {{numberFormat .Surface}} m&sup2;
            {{else}}
            (Onbekend)
            {{end}}
          </a>
        </td>
        {{if $.withDeleteButtons}}
        <td class="p-4">
          <button class="cursor-pointer p-2 text-slate-400 hover:text-rose-500" hx-delete="/buildings/{{.ID}}"
            hx-confirm="Weet je zeker dat je gebouw '{{.ID}}' wilt verwijderen?">
            <svg class="w-5 h-5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
              <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                d="M4 7h16m-10 4v6m4-6v6M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2l1-12M9 7V4a1 1 0 0 1 1-1h4a1 1 0 0 1 1 1v3" />
            </svg>
          </button>
        </td>
        {{end}}
      </tr>
      {{else}}
      <tr class="border-t border-slate-200">
        <td class="p-4 text-center" colspan="{{if .withDeleteButtons}}4{{else}}3{{end}}">Nog geen gebouwen gevonden. <a href="/buildings/new" class="text-sky-600 underline hover:text-sky-700 hover:no-underline">Voeg een gebouw toe</a></td>
      </tr>
      {{end}}
    </tbody>
  </table>
</div>
